import React from 'react'

import Caption from '../'

describe('Caption', () => {
  const testbed = createTestbed(Caption, {
    text: 'Very Interesting Heading',
    children: <div>Super Cool Content</div>
  })

  shouldRenderComponent(testbed, {}, Caption)

  it('should render heading text', () => {
    testbed.render()

    expect(testbed.getText()).to.include('Very Interesting')
  })

  it('should render its children', () => {
    testbed.render()

    expect(testbed.getText()).to.include('Super Cool')
  })
})
